DataBolsa docs
Referência da APIDados de mercadoAções

Movimentações de insiders (CVM VLMO, por mês)

GET
/v1/stocks/{ticker}/insider
AuthorizationBearer <token>

In: header

Path Parameters

tickerstring
Match^[A-Z][A-Z0-9]{3}[0-9]{0,2}$

Query Parameters

from?string
Match^\d{4}-\d{2}-\d{2}$
to?string
Match^\d{4}-\d{2}-\d{2}$

Response Body

curl -X GET "https://api.databolsa.com/v1/stocks/string/insider?from=string&to=string"
{
  "ticker": "string",
  "data": [
    {
      "reference_month": "string",
      "net_shares": 0,
      "net_value_brl": 0,
      "buy_value_brl": 0,
      "sell_value_brl": 0,
      "lineage": {
        "source": "string",
        "reference": "string",
        "url": "string"
      }
    }
  ]
}
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string"
}